<script setup>
defineProps({
  action: String,
  info: Object
})

const tab = ref('version')
const tabs = ref([
  {value: 'version', text: 'Version'},
])

const openTab = async (val) => {
  if(tab.value !== val) {
    tab.value = val
    sessionStorage.setItem('price_list_detail_record', tab.value)
  }
}
onMounted(() => {
  const getSessionStorageTab = sessionStorage.getItem('price_list_detail_record')
  if(getSessionStorageTab) {
    openTab(getSessionStorageTab)
  }
})
</script>

<template>
  <div class="bt-2px_dashed_hexe2e2e2">
    <DetailRecordTab v-model="tab" :tabs="tabs" @handler="(val) => openTab(val.value)" />
    <MaterialsPriceListDetailRecordVersion v-if="tab === 'version'" :action="action" :info="info" />
  </div>
</template>